> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/changelogs/version-6/v6-10-3.md).

# Version 6.10.3 Changelog (May 7, 2019)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.10.3

Release Date: May 7, 2019

## Notes

This release of Apryse for Xamarin brings the core PDF functionality and iOS and Android Tools functionality inline with version 6.10.3 of the iOS and Android SDKs. More information can be found on [What's New for iOS](/ios/changelogs/version-6/v6-10-3-70547.md) and [What's New for Android](/android/changelogs/version-6/v6-10-3.md).

## Xamarin.Android

## New features

* Style picker for measurement tools now come with option to snap to points
* Measurement tools now can be found in the annotation toolbar
* Annotation selection box appearance has been improved

## Fixed

* Fixed issue where quick menu overflow menu could be cut off on small devices
* Fixed issue where structural text selection by tap returns incorrect result for some documents
* Fixed issue where custom `ThumbnailSliderStyle` was not applied properly in app theme. Note: if you would like to have no left/right icons, you will need to set `app:leftMenuItemDrawable="@null"` and `app:rightMenuItemDrawable="@null"`
* Fixes issue where `ThumbnailSlider` background color could not be changed
* Fixed issue where annotation selection box would overlap the annotation border when user does not have write permission to the annotation
* Fixed issue where in dark mode, text selection color was hard to see
* Fixed a crash that may happen when double tapping on the viewer repeatedly
* Fixed issue where `autoResizeFreeText` was not working properly when text is entered in the dialog instead of inline

## Xamarin.iOS

## New features

* The `PTDocumentViewController` class now supports on-the-fly conversion of office and image files
* A new image stamper tool with the `PTImageStampCreate` class
* End-point snapping for measurement tools
* The scrolling direction of the `PTReflowViewController` can be changed to vertical
* It is now possible to easily add translations of the Tools framework - please see our [localization guide](/ios/viewer/localization.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/changelogs/version-6/v6-10-3.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
